// Draw a red frame while a button is touched
void waitForIt(int x1, int y1, int x2, int y2)
{
  myGLCD.setColor(255, 0, 0);
  myGLCD.drawRoundRect (x1, y1, x2, y2);
  while (myTouch.dataAvailable())
    myTouch.read();
  myGLCD.setColor(255, 255, 255);
  myGLCD.drawRoundRect (x1, y1, x2, y2);
}

int drawTimeMask(int dnum)
{
  int doff; // d offset
  int key1; // key returned
  
  myGLCD.clrScr();
// out digital buttons
  drawButtons();
  myGLCD.setColor(VGA_LIME);
  myGLCD.setFont(BigFont);
  myGLCD.printNumI(chour, 100, 150, 2, '0');
  myGLCD.fillCircle(140, 151, 3);
  myGLCD.fillCircle(140, 161, 3);
  myGLCD.printNumI(cmin, 148, 150, 2, '0');
  // dnum - digital num
  myGLCD.setColor(VGA_YELLOW);
  // doff - offset (local)
  doff=16*dnum-16;
  if (dnum>2) doff+=16;
  myGLCD.fillRoundRect (100+doff, 150, 116+doff, 166);
// wait touch
  key1=checkButtons();
// clrscr()
  myGLCD.clrScr();
  return key1;
}

int drawDateMask(int dnum)
{
  int doff; // d offset
  int key1; // key returned
  char buffer[30];

  myGLCD.clrScr();
// out digital buttons
  drawButtons();
  myGLCD.setColor(VGA_LIME);
  myGLCD.setFont(BigFont);
  sprintf(buffer,"%02d.%02d.%02d",cday,cmonth,cyear);
  myGLCD.print(buffer, 100, 150);
  // dnum - digital num
  myGLCD.setColor(VGA_YELLOW);
  // doff - offset (local)
  doff=16*dnum-16;
  if (dnum>4) doff+=32;
  else if (dnum>2) doff+=16;
  myGLCD.fillRoundRect (100+doff, 150, 116+doff, 166);
// wait touch
  key1=checkButtons();
// clrscr()
  myGLCD.clrScr();
  return key1;
}

void drawButtons()
{
// Draw the upper row of buttons
  for (x=0; x<5; x++)
  {
    myGLCD.setColor(0, 0, 255);
    myGLCD.fillRoundRect (10+(x*60), 10, 60+(x*60), 60);
    myGLCD.setColor(255, 255, 255);
    myGLCD.drawRoundRect (10+(x*60), 10, 60+(x*60), 60);
    myGLCD.printNumI(x+1, 27+(x*60), 27);
  }
// Draw the center row of buttons
  for (x=0; x<5; x++)
  {
    myGLCD.setColor(0, 0, 255);
    myGLCD.fillRoundRect (10+(x*60), 70, 60+(x*60), 120);
    myGLCD.setColor(255, 255, 255);
    myGLCD.drawRoundRect (10+(x*60), 70, 60+(x*60), 120);
    if (x<4)
      myGLCD.printNumI(x+6, 27+(x*60), 87);
  }
  myGLCD.print("0", 267, 87);
  myGLCD.setBackColor (0, 0, 0);
}

int checkButtons()
{
  while (true)
  {
    if (myTouch.dataAvailable())
    {
      myTouch.read();
      x=myTouch.getX();
      y=myTouch.getY();
      
      if ((y>=10) && (y<=60))  // Upper row
      {
        if ((x>=10) && (x<=60))  // Button: 1
        {
          waitForIt(10, 10, 60, 60);
          return 1;
        }
        if ((x>=70) && (x<=120))  // Button: 2
        {
          waitForIt(70, 10, 120, 60);
          return 2;
        }
        if ((x>=130) && (x<=180))  // Button: 3
        {
          waitForIt(130, 10, 180, 60);
          return 3;
        }
        if ((x>=190) && (x<=240))  // Button: 4
        {
          waitForIt(190, 10, 240, 60);
          return 4;
        }
        if ((x>=250) && (x<=300))  // Button: 5
        {
          waitForIt(250, 10, 300, 60);
          return 5;
        }
      }

      if ((y>=70) && (y<=120))  // Center row
      {
        if ((x>=10) && (x<=60))  // Button: 6
        {
          waitForIt(10, 70, 60, 120);
          return 6;
        }
        if ((x>=70) && (x<=120))  // Button: 7
        {
          waitForIt(70, 70, 120, 120);
          return 7;
        }
        if ((x>=130) && (x<=180))  // Button: 8
        {
          waitForIt(130, 70, 180, 120);
          return 8;
        }
        if ((x>=190) && (x<=240))  // Button: 9
        {
          waitForIt(190, 70, 240, 120);
          return 9;
        }
        if ((x>=250) && (x<=300))  // Button: 0
        {
          waitForIt(250, 70, 300, 120);
          return 0;
        }
      }

   }
}
}

void VButton (int x1, int y1, int z1, int z2, int b1)
{
    myGLCD.setColor(128, 128, 128);
    myGLCD.drawRoundRect (x1, y1, x1+z1, y1+z2);
    myGLCD.setFont(BigFont);
    myGLCD.print(wBtn[b1], x1+5, y1+5);

	
}

boolean press_map (int x0, int y0, int x1, int y1, int x2, int y2)
{
	if ((x0>=x1)&&(x0<=x2)) 
	{
		if ((y0>=y1)&&(y0<=y2)) {return true;}
	}
	return false;
}
